Skip to content

Set environment variable

POST
/api/v1/projects/{id}/env
curl --request POST \
--url https://api.deploybase.eu/api/v1/api/v1/projects/example/env \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "environment": "production", "key": "example", "value": "example" }'

Creates or updates a single environment variable (upsert by key+environment)

id
required
string

Project ID

Environment variable

Media type application/json
object
environment
required
string
Allowed values: production preview all
key
required
string
>= 1 characters <= 255 characters
value
required
string

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
created_at
string
environment
string
Allowed values: production preview all
id
string
key
string
project_id
string
updated_at
string
Example
{
"data": {
"environment": "production"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}